import { Component, OnInit } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-layout-material-appointment-detail',
  templateUrl: './layout-material-appointment-detail.component.html',
  styleUrls: ['./layout-material-appointment-detail.component.scss']
})
export class LayoutMaterialAppointmentDetailComponent  extends FrameDetailComponent implements OnInit {

  date:any;

  constructor(bsModalRef: BsModalRef) {
    super(bsModalRef);

  }

  initDefautEntity() {
  }


  ngOnInit() {
  }


  getColor(std_total, arrange_std_total) {
    if (std_total < arrange_std_total) return 'text-warning';
    if (std_total === arrange_std_total) return 'text-success';
    if (std_total > arrange_std_total) return 'text-primary';
  }


}
